## ros-jazzy-moveit-ros-perception 2.10.0

=== debian/changelog ===
ros-jazzy-moveit-ros-perception (2.10.0-2bookworm) bookworm; urgency=high

  * Fix segmentation fault in mesh_filter/gl_renderer (#2834 <https://github.com/moveit/moveit2/issues/2834>)
  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Contributors: CihatAltiparmak, Robert Haschke, Sebastian Jahr, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 12 Jun 2024 16:00:00 -0000

ros-jazzy-moveit-ros-perception (2.9.0-2bookworm) bookworm; urgency=high

  * (moveit_ros) add missing CYLINDER check (#2640 <https://github.com/ros-planning/moveit2/issues/2640>)
    As this check was missing, the CYLINDER check later on was unreachable
  * Node logging in moveit_core (#2503 <https://github.com/ros-planning/moveit2/issues/2503>)
  * Use node logging in moveit_ros (#2482 <https://github.com/ros-planning/moveit2/issues/2482>)
  * Add new clang-tidy style rules (#2177 <https://github.com/ros-planning/moveit2/issues/2177>)
  * Update pre-commit and add to .codespell_words (#2465 <https://github.com/ros-planning/moveit2/issues/2465>)
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Update clang-format-14 with QualifierAlignment (#2362 <https://github.com/ros-planning/moveit2/issues/2362>)
    * Set qualifier order in .clang-format
    * Ran pre-commit to update according to new style guide
  * Converts float to double (#2343 <https://github.com/ros-planning/moveit2/issues/2343>)
    * Limiting the scope of variables #874 <https://github.com/ros-planning/moveit2/issues/874>
    Limited the scope of variables in moveit_core/collision_detection
    * Update moveit_core/collision_detection/src/collision_octomap_filter.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_core/collision_detection/src/collision_octomap_filter.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * Update moveit_core/collision_detection/src/collision_octomap_filter.cpp
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    * convert float to double
    * change double to float
    * Feedback fixes
    * Introduced variables removed from previous merge commit
    * Updated GL_Renderer function definitions with double instead of float
    * Changed update() function arguments to float since it is a derived virtual function and needs to be overriden
    * Fixed all override errors in visualization
    * *Fixed override errors in perception
    *Changed reinterpret_cast to double* from float*
    * change variable types to fit function definition
    * Fixed clang-tidy warnings
    * Fixed scope of reusable variables
    ---------
    Co-authored-by: Salah Soliman <mailto:salahsoliman96@gmail.com>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Contributors: Marq Rasmussen, Matthijs van der Burgh, Sebastian Jahr, Shobuj Paul, Tyler Weaver

 -- Henning Kayser <henningkayser@picknik.ai>  Mon, 08 Jan 2024 16:00:00 -0000

ros-jazzy-moveit-ros-perception (2.8.0-2bookworm) bookworm; urgency=high

  * Replaced numbers with SystemDefaultsQos() (#2271 <https://github.com/ros-planning/moveit2/issues/2271>)
  * Use isnan in DepthImageOctomapUpdater (#2201 <https://github.com/ros-planning/moveit2/issues/2201>)
  * Contributors: Ezra Brooks, Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sat, 09 Sep 2023 16:00:00 -0000

ros-jazzy-moveit-ros-perception (2.7.4-2bookworm) bookworm; urgency=high



 -- Henning Kayser <henningkayser@picknik.ai>  Wed, 17 May 2023 16:00:00 -0000

ros-jazzy-moveit-ros-perception (2.7.3-2bookworm) bookworm; urgency=high

  * Replace check for the ROS_DISTRO env variable with a check for the rclcpp version (#2135 <https://github.com/ros-planning/moveit2/issues/2135>)
  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Jafar, Shobuj Paul

 -- Henning Kayser <henningkayser@picknik.ai>  Sun, 23 Apr 2023 16:00:00 -0000

ros-jazzy-moveit-ros-perception (2.7.2-2bookworm) bookworm; urgency=high

  * Switch from qos_event.hpp to event_handler.hpp (#2111 <https://github.com/ros-planning/moveit2/issues/2111>)
    * Switch from qos_event.hpp to event_handler.hpp
    * moveit_common: Add a cmake interface library to keep humble support on main
    * Include qos_event.hpp or event_handler.hpp depending on the ROS 2 version
    * Fix ament_lint_cmake
    * Fix clang-tidy
    * PRIVATE linking in some cases
    * Update moveit_common/cmake/moveit_package.cmake
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
    * Fix servo and cleanup excessive CMake variable usage
    * Cleanup & make compiling
    * Small variable naming and const cleanup
    * Restore OpenCV linking
    * Public/private linking fixup
    * Revert "Restore OpenCV linking"
    This reverts commit 57a9efa806e59223e35a1f7e998d7b52f930c263.
    ---------
    Co-authored-by: JafarAbdi <mailto:jafar.uruc@gmail.com>
    Co-authored-by: Jafar <mailto:cafer.abdi@gmail.com>
    Co-authored-by: AndyZe <mailto:andyz@utexas.edu>
    Co-authored-by: Chris Thrasher <mailto:chrisjthrasher@gmail.com>
  * Update pre-commit (#2094 <https://github.com/ros-planning/moveit2/issues/2094>)
  * Contributors: Sebastian Jahr, Shobuj Paul


